CVE-2004-0160
CVSS7.2
发布时间 :2004-03-29 00:00:00
修订时间 :2008-09-05 16:37:41
NMCOS    

[原文]Synaesthesia 2.2 and earlier allows local users to execute arbitrary code via a symlink attack on the configuration file.


[CNNVD]Synaesthesia以不安全方式创建文件漏洞(CNNVD-200403-138)

        
        Synaesthesia是一款功能很多且界面特别的音乐CD播放程序。
        Synaesthesia以不安全方式创建配置文件,本地攻击者可以利用这个漏洞提升权限。
        synaesthesia会以root用户权限建立配置文件,本地用户可以通过建立符号连接把建立的配置文件指向系统文件,执行synaesthesia时,可导致以root用户权限建立配置文件时破坏系统文件,可造成系统拒绝服务或提升权限。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:synaesthesia:synaesthesia:2.1.0
cpe:/a:synaesthesia:synaesthesia:2.2
cpe:/a:synaesthesia:synaesthesia:2.1.2
cpe:/a:synaesthesia:synaesthesia:2.1.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0160
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0160
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200403-138
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15279
(VENDOR_ADVISORY)  XF  synaesthesia-configuration-symlink-attack(15279)
http://www.securityfocus.com/bid/9713
(VENDOR_ADVISORY)  BID  9713
http://www.debian.org/security/2004/dsa-446
(VENDOR_ADVISORY)  DEBIAN  DSA-446

- 漏洞信息

Synaesthesia以不安全方式创建文件漏洞
高危 其他
2004-03-29 00:00:00 2005-05-13 00:00:00
本地  
        
        Synaesthesia是一款功能很多且界面特别的音乐CD播放程序。
        Synaesthesia以不安全方式创建配置文件,本地攻击者可以利用这个漏洞提升权限。
        synaesthesia会以root用户权限建立配置文件,本地用户可以通过建立符号连接把建立的配置文件指向系统文件,执行synaesthesia时,可导致以root用户权限建立配置文件时破坏系统文件,可造成系统拒绝服务或提升权限。
        

- 公告与补丁

        厂商补丁:
        Debian
        ------
        
        http://www.debian.org/security/2004/dsa-446

- 漏洞信息

4023
Synaesthesia Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-02-23 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Synaesthesia Insecure File Creation Vulnerability
Environment Error 9713
No Yes
2004-02-22 12:00:00 2009-07-12 03:06:00
Discovery of this issue is credited to Ulf Harnhammar.

- 受影响的程序版本

Synaesthesia Synaesthesia 2.2
Synaesthesia Synaesthesia 2.1.2
Synaesthesia Synaesthesia 2.1.1
Synaesthesia Synaesthesia 2.1 .0
+ Debian Linux 3.0 sparc
+ Debian Linux 3.0 s/390
+ Debian Linux 3.0 ppc
+ Debian Linux 3.0 mipsel
+ Debian Linux 3.0 mips
+ Debian Linux 3.0 m68k
+ Debian Linux 3.0 ia-64
+ Debian Linux 3.0 ia-32
+ Debian Linux 3.0 hppa
+ Debian Linux 3.0 arm
+ Debian Linux 3.0 alpha
+ Debian Linux 3.0

- 漏洞讨论

An insecure file creation vulnerability exists in Synaesthesia. This issue arises due to the creation of a configuration file by the process while running with root privileges.

A local attacker could exploit this issue by creating a symbolic link with the name of the insecurely created file pointing to a target system file. Upon execution, the Synaesthesia software will then write to the configuration file symbolic link, potentially destroying sensitive data, which could result in denial of service.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

Debian has released advisory DSA 446-1 dealing with this issue. Please see the referenced advisory for more information.

Fixes:


Synaesthesia Synaesthesia 2.1 .0

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站